ROBODK_ROOT_INITIAL=$(dirname $(readlink -f $0))
ROBODK_ROOT_DESTINATION="/home/pi/RoboDK"
cd ${ROBODK_ROOT_INITIAL}

mkdir -p ${ROBODK_ROOT_DESTINATION}
chmod 777 ${ROBODK_ROOT_DESTINATION}

cd ${ROBODK_ROOT_INITIAL}
#Copy all the files from the initial directory to the destination
cp -R . ${ROBODK_ROOT_DESTINATION}

cd ${ROBODK_ROOT_DESTINATION}
echo "Setting execute attributes to RoboDK folder"
sudo chmod 777 -R .

echo "Installing libts"
sudo apt-get install libts-0.0-0


echo "Creating shortcuts..."
./Create-Shortcut.sh

echo "Installing RoboDK for Python 2 and Python 3..."
# Note: python3-pip may be installed in new systems already
sudo apt-get install python3-pip
pip3 install robodk
pip install robodk

#Remove installer folder
#cd ${ROBODK_ROOT_INITIAL}
#cd ..
#rm -R ${ROBODK_ROOT_INITIAL}
echo "You can delete the RoboDK install folder"

echo "Done! Starting RoboDK..."
./RoboDK-Start.sh